Subject: bug#40390: closed (Re: bug#40390: Rendering problems when using fonts from Guix on foreign distro)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 22 Apr 2020 19:54:02 +0000

Your bug report

#40390: Rendering problems when using fonts from Guix on foreign distro

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
40390: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=40390
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#40390: Rendering problems when using fonts from Guix on foreign distro
From: Leo Famulari <[email-masked]>
To: Evan Straw <[email-masked]>
Cc: Ludovic Courtès <[email-masked]>, [email-masked]
Date: Wed, 22 Apr 2020 15:53:24 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

On Wed, Apr 22, 2020 at 12:29:50PM -0700, Evan Straw wrote:
> Hello! My apologies for leaving this hanging for so long.
> 
> It appears I had a fontconfig configuration file left over from a long
> time ago that was intended to manually add the path for Guix fonts to
> the fontconfig paths, so that I could use Ubuntu's fontconfig rather
> than use fontconfig from Guix. I had forgotten it was even
> there. Getting rid of it and re-caching the fonts like you said has
> fixed the issue.

I'm glad to hear it! Closing the bug...

Subject: Rendering problems when using fonts from Guix on foreign distro
From: Evan Straw <[email-masked]>
To: [email-masked]
Date: Thu, 02 Apr 2020 10:35:58 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello all,

I have Guix installed on a foreign distro (Ubuntu 19.10) as a package
manager, and I am attempting to use fonts installed through Guix for
applications installed from Guix, such as Emacs and keepassxc. I have
installed fontconfig and a few font packages. However, I am noticing
that these fonts seem to be interfering with fonts installed via the
system's package manager (APT) and are causing rendering problems in
non-Guix applications such as evince.

The font packages I have installed from Guix are as follows:

--8<---------------cut here---------------start------------->8---
evan@virtualplaza:~$ guix package --list-installed | grep font
font-ubuntu	0.83	out	/gnu/store/6ydn8a96n2zmmrhjckqklfmg83frwl9w-font-ubuntu-0.83
font-gnu-freefont-ttf	20120503	out	/gnu/store/bp0hagiy6j8r0x11r4arsyv7k61lyqfk-font-gnu-freefont-ttf-20120503
font-dejavu	2.37	out	/gnu/store/yr42nyxrqkh89fanvii82br6qil4zcbx-font-dejavu-2.37
gs-fonts	8.11	out	/gnu/store/8ppj83wc1mmrdydh9cy7vqvg0bym8l0q-gs-fonts-8.11
font-adobe-source-han-sans	1.004	jp	/gnu/store/z9mgamhzwnh73w3y7q9flg54gmzr9kx7-font-adobe-source-han-sans-1.004-jp
fontconfig	2.13.1	out	/gnu/store/rkq6ipys8hf5hw66jkzzw4nfr6ncq96a-fontconfig-2.13.1
font-abattis-cantarell	0.111	out	/gnu/store/l0h8n4jn0xhj942gdh28i3rvbbywi613-font-abattis-cantarell-0.111
--8<---------------cut here---------------end--------------->8---

However, when I open a document in evince, the terminal spits out the
following errors about "cairo scaled fonts":

--8<---------------cut here---------------start------------->8---
(evince:19449): Pango-WARNING **: 10:28:58.135: failed to create cairo scaled font, expect ugly output. the offending font is 'Ubuntu 11'

(evince:19449): Pango-WARNING **: 10:28:58.135: font_face status is: <unknown error status>

(evince:19449): Pango-WARNING **: 10:28:58.135: scaled_font status is: out of memory

(evince:19449): Pango-WARNING **: 10:28:58.135: shaping failure, expect ugly output. shape-engine='PangoFcShapeEngine', font='Ubuntu 11', text='●'

(evince:19449): Pango-WARNING **: 10:28:58.142: failed to create cairo scaled font, expect ugly output. the offending font is 'Ubuntu 10.5595703125'

(evince:19449): Pango-WARNING **: 10:28:58.142: font_face status is: <unknown error status>

(evince:19449): Pango-WARNING **: 10:28:58.142: scaled_font status is: out of memory

(evince:19449): Pango-WARNING **: 10:28:58.142: shaping failure, expect ugly output. shape-engine='PangoFcShapeEngine', font='Ubuntu 10.5595703125', text='The quick brown fox jumps over the lazy dog.'

(evince:19449): Pango-WARNING **: 10:28:58.408: failed to create cairo scaled font, expect ugly output. the offending font is 'Ubuntu Italic 11'

(evince:19449): Pango-WARNING **: 10:28:58.408: font_face status is: <unknown error status>

(evince:19449): Pango-WARNING **: 10:28:58.408: scaled_font status is: out of memory

(evince:19449): Pango-WARNING **: 10:28:58.408: shaping failure, expect ugly output. shape-engine='PangoFcShapeEngine', font='Ubuntu Italic 11', text='3'

(evince:19449): Pango-WARNING **: 10:28:58.414: failed to create cairo scaled font, expect ugly output. the offending font is 'Ubuntu Italic 13.1982421875'

(evince:19449): Pango-WARNING **: 10:28:58.414: font_face status is: <unknown error status>

(evince:19449): Pango-WARNING **: 10:28:58.414: scaled_font status is: out of memory

(evince:19449): Pango-WARNING **: 10:28:58.414: shaping failure, expect ugly output. shape-engine='PangoFcShapeEngine', font='Ubuntu Italic 13.1982421875', text='Document contains no annotations'
--8<---------------cut here---------------end--------------->8---

When viewing the application window, all text is replaced by empty white
boxes, as shown in the attached screenshot.

Is this a bug, or am I simply doing something wrong here? Is there any
additional configuration I need to do to get fonts from the system and
Guix to cooperate with each other?

Any help would be appreciated. Please also let me know if there's any
needed but missing information and I'll be happy to provide it.

Thanks,
-- Evan <[email-masked]>